Bugs & Vulnerabilities

From PlayStation 5 Dev Wiki
Revision as of 22:11, 21 September 2022 by CelesteBlue (talk | contribs) (→‎Kernel)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to navigation Jump to search

Usermode[edit]

BD-J exploits[edit]

FW <=4.51 - Five vulnerabilities chained by TheFloW[edit]

Credits[edit]

Implementations[edit]

Patched[edit]

Yes partially on PS5 FWs > 4.03 (need to detail).

WebKit exploits[edit]

WebKit exploits are harder to make and do not even give arbitrary RW because of PS5 memory protections.

Modal Browser HTTPS Bypass[edit]

  • It is possible to bypass HTTPS in the modal browser, if you reply to the HTTPS CONNECT with a standard HTTP 1.1 response, instead of attempting to create a tunnel. The browser will just display that response. The downside to this is you have no idea what the contents of even the HTTP REQUEST would have been, but it is useful for directing the web browser to any website you want.

FW 3.00-4.50 - WebCore::CSSFontFaceSet vulnerabilities leading to usermode ROP code execution[edit]

Contrarly to PS4, on PS5 this exploit does not allow arbitrary RW because of PS5 memory protections.

See also [1].

Implementations[edit]

Patched[edit]

No as of PS5 FW 4.50 (need to test on PS5 FWs >=4.51).

Tested[edit]

Tested working on PS4 FWs 9.00-9.04 and PS5 FWs 3.00-4.50. Untested: PS5 FWs 2.10-2.50 and >=4.51.

Game savedata exploits[edit]

Nothing yet.

PS4 emulator exploits[edit]

Nothing yet.

Kernel[edit]

FW <= 4.51 or 5.00 - IPV6_2292PKTOPTIONS UaF (yielding arbitrary kernel R/W) (CVE-2020-7457)[edit]

See the PS4 wiki.

Exploit Implementation[edit]

Not yet. See implementation for FreeBSD 9 or 12 or PS4.

Patched[edit]

Yes in PS5 FW 5.00 or 5.02.


FW <= 4.03 - exFAT driver heap-based buffer overflow[edit]

Exploit Implementation[edit]

Not yet because even though there is ChendoChap's method to execute usermode code in WebKit, there is no PS5 kernel dump to build a kernel ROP chain. Exploiting this kernel vulnerability blind is almost impossible because once the USB device is inserted it corrupts the kernel heap memory and if the offsets in the kernel ROP chain are bad it creates a kernel panic.

See the PS4 wiki.

Patched[edit]

Yes in PS5 FW 4.50.


SMAP bypass (CVE-2021-29628)[edit]

See also [2].

Credits[edit]

  • Discovered and disclosed publicly by m00nbsd. Disclosed to SIE on 2020-12-01.

Analysis[edit]

Bug Description[edit]

A SMAP bypass has been found by m00nbsd while working on FreeBSD 12. It is named CVE-2021-29628 and affects FreeBSD 12.2 and later (til it was patched). It does not work on PS4 because PS4 kernel is based on FreeBSD 9 which did not contain the vulnerability and because PS4 SMAP does not come from FreeBSD but is custom from Sony. It used to work on PS5 before it was disclosed and patched.

Patched[edit]

Yes in PS5 FW 2.30 or later according to dates.


Secure Kernel[edit]

Untested: Partial SAMU KeyRings bruteforce by missing HMAC length check in secure kernel[edit]

See [3].

Potentially vulnerable on PS5 FWs <= 4.03.

Secure Loader[edit]

Symmetric PS5 root keys dump by software exploit by Fail0verflow[edit]

See Fail0verflow's announcement on Twitter (2021-11-08)

Fail0verflow either has a bootrom execution exploit or an AMD/ARM PSP hack.

This allows to decrypt on PC most parts of the PS5 System Software files including:

  • PUP
  • secure loader (?AMD? ARM Platform Security Processor module) of Oberon

And by derivation, mostly like on PS Vita:

  • secure modules
  • kernel boot loader / BIOS
  • non-secure kernel
  • usermode system modules

Potentially unpatched.

Hardware[edit]

Nothing yet.